/*
PeRdr - PE file disassembler
Copyright (C) 1999-2002 Frediano Ziglio
-----

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-----

INFORMATION
  www: http://freddy77.tripod.com/perdr/
  e-mail: freddy77@angelfire.com
*/
DEFINE_MEMTYPEI(memNone,0)       // usato solo puntatore (lea e invplg)

DEFINE_MEMTYPE(memInt8,1)          // interi
DEFINE_MEMTYPE(memInt16,2)
DEFINE_MEMTYPE(memInt32,4)
DEFINE_MEMTYPE(memMmx,8)           // MMX general

DEFINE_MEMTYPE(memInt64,8)

DEFINE_MEMTYPE(memMmx8,8)          // MMX packet types
DEFINE_MEMTYPE(memMmx16,8)
DEFINE_MEMTYPE(memMmx32,8)
DEFINE_MEMTYPE(memMmx64,8)

DEFINE_MEMTYPE(memXmm,16)          // XMM packet size
DEFINE_MEMTYPE(memSemiXmm,8)

DEFINE_MEMTYPE(memFarPointer16,4)  // puntatori far
DEFINE_MEMTYPE(memFarPointer32,6)

DEFINE_MEMTYPE(memBound16,4)       // bound
DEFINE_MEMTYPE(memBound32,8)

DEFINE_MEMTYPE(memDescriptor,6)    // descriptor

DEFINE_MEMTYPE(memFPFloat32,4)     // virgola mobile
DEFINE_MEMTYPE(memFPFloat64,8)
DEFINE_MEMTYPE(memFPFloat80,10)

DEFINE_MEMTYPE(memFPBCD,10)        // BCD

DEFINE_MEMTYPE(memFPEnv16,14)      // FP environment
DEFINE_MEMTYPE(memFPEnv32,28)

DEFINE_MEMTYPE(memFPStatus16,94)   // FP status
DEFINE_MEMTYPE(memFPStatus32,108)

DEFINE_MEMTYPE(memXStatus,512)     // X Status (fxsave, fxrstor)

